<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cgms__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cgms_descr_value_t</compoundname>
    <includes local="no">cy_ble_cgms.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cgms__descr__value__t_1a1ed60cf9f44a637d57e925d86162ae65" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_cgms_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="119" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgms__descr__value__t_1a4b6e773018cff7a7cfc2703ecf8f1d99" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_g_m_s__definitions_1gace05588f3d5103a95036db6fc9db696a">cy_en_ble_cgms_char_index_t</ref></type>
        <definition>cy_en_ble_cgms_char_index_t cy_stc_ble_cgms_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="120" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgms__descr__value__t_1a6e5038a648ad124e1907b7cd28ceb392" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_g_m_s__definitions_1ga1ad127d87a318d913ea32b5a420dfc79">cy_en_ble_cgms_descr_index_t</ref></type>
        <definition>cy_en_ble_cgms_descr_index_t cy_stc_ble_cgms_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="121" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgms__descr__value__t_1a9ecde5c3d9ce4a979f10993e7bde9df4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_cgms_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="122" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CGM Service Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="235">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="233">
        <label>cy_stc_ble_cgms_descr_value_t</label>
        <link refid="structcy__stc__ble__cgms__descr__value__t" />
        <childnode refid="234" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="235" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="234">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="123" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="118" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cgms__descr__value__t_1a4b6e773018cff7a7cfc2703ecf8f1d99" virt="non-virtual"><scope>cy_stc_ble_cgms_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cgms__descr__value__t_1a1ed60cf9f44a637d57e925d86162ae65" virt="non-virtual"><scope>cy_stc_ble_cgms_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cgms__descr__value__t_1a6e5038a648ad124e1907b7cd28ceb392" virt="non-virtual"><scope>cy_stc_ble_cgms_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cgms__descr__value__t_1a9ecde5c3d9ce4a979f10993e7bde9df4" virt="non-virtual"><scope>cy_stc_ble_cgms_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>